package com.maintain.business.service;

import cn.hutool.core.lang.tree.Tree;
import com.maintain.business.domain.ErpProjectType;
import com.maintain.business.domain.vo.ErpProjectTypeVo;
import com.maintain.business.domain.bo.ErpProjectTypeBo;
import com.maintain.common.core.domain.entity.SysDept;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 维修项目类型Service接口
 *
 * @author liushuai
 * @date 2025-03-28
 */
public interface IErpProjectTypeService {

    /**
     * 查询维修项目类型
     */
    ErpProjectTypeVo queryById(Long typeId);

    /**
     * 查询维修项目类型列表
     */
    TableDataInfo<ErpProjectTypeVo> queryPageList(ErpProjectTypeBo bo, PageQuery pageQuery);

    /**
     * 查询维修项目类型树结构信息
     */
    List<Tree<Long>> selectProjectTypeTreeList(ErpProjectTypeBo bo);

    /**
     * 查询维修项目类型列表
     */
    List<ErpProjectTypeVo> queryList(ErpProjectTypeBo bo);

    /**
     * 新增维修项目类型
     */
    Boolean insertByBo(ErpProjectTypeBo bo);

    /**
     * 修改维修项目类型
     */
    Boolean updateByBo(ErpProjectTypeBo bo);

    /**
     * 校验并批量删除维修项目类型信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
